# Generated by Django 4.1.7 on 2023-04-01 23:53

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django_jsonform.models.fields


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="BioTag",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=512)),
                ("label", models.CharField(max_length=512)),
            ],
            options={
                "ordering": ["pk"],
            },
        ),
        migrations.CreateModel(
            name="Collection",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("name", models.CharField(max_length=512)),
            ],
            options={
                "ordering": ["pk"],
            },
        ),
        migrations.CreateModel(
            name="Record",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("metadata", django_jsonform.models.fields.JSONField()),
                ("bio_tags", models.ManyToManyField(to="combio_app.biotag")),
                (
                    "collection",
                    models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to="combio_app.collection"),
                ),
                ("users", models.ManyToManyField(to=settings.AUTH_USER_MODEL)),
            ],
            options={
                "ordering": ["pk"],
            },
        ),
        migrations.AddField(
            model_name="biotag",
            name="records",
            field=models.ManyToManyField(to="combio_app.record"),
        ),
    ]
